<template>
  <div>
    <vr-video-player
      :url="videoUrl"
      :imageUrl="imageUrl"
      :videoHeight="videoHeight"
      :title="title"
      :isKeyEventEnable="keyEvent"
      :color="color"
    >
    </vr-video-player>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  data() {
    return {
      title: '',
      videoUrl: null,
      imageUrl: null,
      videoHeight: 400,
      color: '2962FF',
      keyEvent: false,
    };
  },
  methods: {
    ...mapActions(['fetchEmbeddedVideo']),
  },
  mounted() {
    // クエリ
    var height = this.$route.query['height'];
    var color = this.$route.query['color'];
    var title = this.$route.query['title'];
    var key_event = this.$route.query['key_event'];

    if (height) {
      this.videoHeight = Number(height);
    }

    if (color) {
      // シークバーの色
      this.color = color;
    }

    // タイトルを表示するか
    var hideTitle = title === '0';

    this.keyEvent = key_event === '1';

    this.fetchEmbeddedVideo(this.$route.query)
      .then((e) => {
        this.videoUrl = e.data.default_video_url;
        this.imageUrl = e.data.default_image_url;
        this.title = hideTitle ? '' : e.data.name;
      })
      .catch((e) => {
        this.title = e.response.data.message;
      });
  },
};
</script>

<style>
html {
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  padding: 0;
}

/**
 A-FRAME
*/
.a-dialog-button {
  color: #ffffff !important;
}
</style>
